Adds a fillet curve between two curve objects.
Rhino.AddFilletCurve (strCurve0, strCurve1 [, dblRadius [, arrBasePoint0 [, arrBasePoint1]]])
strCurve0 |
Required. String. The identifier of the first curve object. |
strCurve1 |
Required. String. The identifier of the second curve object. |
dblRadius |
Optional. Number. The fillet radius. If omitted, a radius of 1.0 is specified. |
arrPoint0 |
Optional. Array. The base point on the first curve. If omitted, the starting point of the curve is used. |
arrPoint1 |
Optional. Array. The base point on the second curve. If omitted, the starting point of the curve is used. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim strCurve0, strCurve1
strCurve0 = Rhino.AddLine(Array(0,0,0), Array(5,1,0))
strCurve1 = Rhino.AddLine(Array(0,0,0), Array(1,5,0))
Rhino.AddFilletCurve strCurve0, strCurve1